Loading...
Searching...
No Matches
SparseStencilMatrix< ValueType_, STENCIL_SIZE >::VecMultOp< VecValueType > Struct Template Reference

`#include <openvdb/math/ConjGradient.h>`

## Public Member Functions

| VecMultOp (const SparseStencilMatrix &m, const VecValueType *i, VecValueType *o)
void | operator() (const SizeRange &range) const

## Public Attributes

const SparseStencilMatrix * | mat
const VecValueType * | in
VecValueType * | out

## Constructor & Destructor Documentation

## VecMultOp()

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename VecValueType >

VecMultOp | ( | const SparseStencilMatrix & | m,
|  | const VecValueType * | i,
|  | VecValueType * | o )

inline

## Member Function Documentation

## operator()()

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename VecValueType >

void operator() | ( | const SizeRange & | range | ) | const

inline

## Member Data Documentation

## in

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename VecValueType >

const VecValueType* in

## mat

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename VecValueType >

const SparseStencilMatrix* mat

## out

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename VecValueType >

VecValueType* out